summaryrefslogtreecommitdiffstats
path: root/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/icon-naming-utils/icon-naming-utils.SlackBuild')
-rwxr-xr-xsource/l/icon-naming-utils/icon-naming-utils.SlackBuild18
1 files changed, 14 insertions, 4 deletions
diff --git a/source/l/icon-naming-utils/icon-naming-utils.SlackBuild b/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
index 7db3da907..30c20804f 100755
--- a/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
+++ b/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.8.90
-ARCH=${ARCH:-x86_64}
+PKGNAM=icon-naming-utils
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
@@ -39,7 +49,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf icon-naming-utils-$VERSION
-tar xvf $CWD/icon-naming-utils-$VERSION.tar.gz || exit 1
+tar xvf $CWD/icon-naming-utils-$VERSION.tar.?z* || exit 1
cd icon-naming-utils-$VERSION || exit 1
zcat $CWD/icon-naming-utils.pkgconfigdir.diff.gz | patch -p1 || exit 1